Subject: [bug#50091] [PATCH 20/21] gnu: lz4: Build on riscv64-linux without valgrind.

From: Efraim Flashner <[email-masked]>
Date: Wed, 18 Aug 2021 12:10:43 +0300

On Tue, Aug 17, 2021 at 12:26:33PM -0300, Thiago Jung Bauermann wrote:
> Hello,
> 
> Em terça-feira, 17 de agosto de 2021, às 07:35:35 -03, Efraim Flashner 
> escreveu:
> > On Tue, Aug 17, 2021 at 01:19:18PM +0300, Efraim Flashner wrote:
> > > * gnu/packages/compression.scm (lz4)[native-inputs]: Don't use valgrind
> > > when building for riscv64-linux.
> > > ---
> > > 
> > >  gnu/packages/compression.scm | 4 +++-
> > >  1 file changed, 3 insertions(+), 1 deletion(-)
> > > 
> > > diff --git a/gnu/packages/compression.scm
> > > b/gnu/packages/compression.scm
> > > index 93d517abd5..1803237e6e 100644
> > > --- a/gnu/packages/compression.scm
> > > +++ b/gnu/packages/compression.scm
> > > @@ -819,7 +819,9 @@ decompression of some loosely related file formats
> > > used by Microsoft.")> 
> > >      (native-inputs
> > >      
> > >       `(;; For tests.
> > >       
> > >         ("python" ,python)
> > > 
> > > -       ("valgrind" ,valgrind)))
> > > +       ,@(if (target-riscv?)
> > > +           '()
> > > +           `(("valgrind" ,valgrind)))))
> > > 
> > >      (arguments
> > >      
> > >       `(;; Not designed for parallel testing.
> > >       
> > >         ;; See
> > >         https://github.com/lz4/lz4/issues/957#issuecomment-737419821
> > 
> > Valgrind added support for riscv64-linux after the last release, but the
> > patch isn't easy to backport. I've thought about adding a valgrind-next
> > and pulling from a recent commit but I'm not sure it's actually worth
> > it.
> 
> IMHO, either the commit message or the code would benefit from a note 
> mentioning that the current version of Valgrind doesn’t support
> riscv64-linux.
> 

Looks like I was mistaken, libunwind grew riscv64-linux support, not
valgrind.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted